# Acuity Settings

Set credentials for Acuity in Welkin.

There are two supported ways to configure integration with Acuity.

* **Enterprise account**: Use the **Effective User ID** field. This allows synchronization of user working hours and encounter availability in Welkin.
* **Non-enterprise account**: Use the **Client ID** and **Client Secret** fields. In this configuration, there is no synchronization with user working hours or encounter availability from Welkin.

If the customer has another type of Acuity account, all fields on the integration form can be filled in. For an enterprise account, only the Effective User ID field is required. For a non-enterprise account, only the Client ID + Client Secret fields are required.

## Getting API Credentials

1. Log into Acuity
2. Go to **Business Settings → Integrations**
3. Select **Analytics + Custom Integrations** in the top vertical menu bar
4. Select **API → View Credentials**

Keep the User ID and API Key screen open to reference the next steps.

## Set credentials in Welkin Admin

Log in to **Admin portal → Integrations → Acuity tab → Select the necessary environment → Edit**

Copy the **User ID** from Acuity into the **Client ID** field and the **API Key** into the **Client Secret** field → **Save**

## Effective User ID (Enterprise accounts)

1. Log into Acuity
2. Go to **Scheduling Page Link** in the sidebar → **General Scheduling Page** block → look at the end of the link

This is the account owner's ID — copy the last 8 digits at the end of the scheduling URL.

> **Note:** If the default link name has been changed, the ID can be found at: **Scheduling Page Link → Direct Links & Embedding block → Embed Scheduler tab** — find the id after "owner" in the text link.

**Set ID in Welkin Admin:**

Log in to **Admin portal → Integrations → Acuity tab → Select the necessary environment → Edit** → Copy the owner ID from Acuity into the **Effective User Id** field → **Save**

## Add webhooks in Acuity

1. Go to **Business Settings → Integrations**
2. Find the **Webhooks** section on the page
3. Click **Set Up**
4. Enter the webhook address in all three fields: **NEW APPOINTMENT SCHEDULED**, **APPOINTMENT RESCHEDULED**, and **APPOINTMENT CANCELED**

The webhook address format is:

```
https://{apiUrl}/{tenantName}/{instanceName}/acuity/webhooks
```

For live environments, `{apiUrl}` is `api.live.welkincloud.io`

Example: `https://api.live.welkincloud.io/welkonnect/liza/acuity/webhooks`

5. Click **Save Settings**

## Link calendars in Acuity with users in Welkin

**Add user calendars in Acuity:**

1. Go to **Availability** under Business Settings
2. At the top right, select **Add New Calendar**
3. Complete the available fields and click **Save**

**Create Appointment Types:**

1. Go to **Appointment Types** under Business Settings
2. Click **New Type of Service**
3. Complete the available fields

> **Important:** Appointment Type names must exactly match the Encounter Template name in Designer (case sensitive).

4. Select **Create Appointment Type**
5. On the next screen, choose which calendars the appointment type can be scheduled on

> **Note:** The emails of added calendars do not need to match the emails of users in Welkin (since the link is made by ID), but matching emails can help avoid confusion.

**Link the Acuity calendar ID to a Welkin user:**

1. Go to **Availability** under Business Settings
2. Click **Calendar Settings**
3. Copy the numerical ID at the far right (at the end) of the URL

**Associate the Acuity ID with the user in Welkin:**

1. Go to **Admin portal → Users**
2. Click on the user in Welkin for whom the calendar was created
3. Click **Edit** in the User Information drawer
4. Click the **Custom fields** section
5. Find the **Acuity Scheduling ID** field and add the Acuity ID copied from the URL
6. Click **Save**

> **Note:** To ensure that appointments created in Acuity also appear in the Welkin calendar, all calendars in Acuity must be linked to users in Welkin.

## Link Appointment Types in Acuity and Encounter Templates in Welkin

**Copy the Appointment Type ID from Acuity:**

1. Go to **Appointment Types** under Business Settings
2. Click **Edit** next to the Appointment Type you want to link
3. Copy the numerical ID at the far right (at the end) of the URL

**Paste the ID into the Encounter Template in Designer:**

1. Log in to Designer and create a Draft
2. Click on **Encounter Templates**
3. Click **Edit** for the Encounter Template you want to link
4. Paste the Appointment ID from Acuity into the **Acuity Appointment Type ID** field
5. Click **Save**

After linking all encounters and appointment types, publish the changes.

> **Note:** If you create a new Encounter in Welkin, you will also need to set read/write access to the encounter template in Security Policies.

## Notifications

Welkin can send emails and SMS to patients about their appointments. To avoid duplicate notifications, first disable notifications in Acuity.

**Disable notifications in Acuity:**

1. In the Acuity Dashboard, select **Client Email** under **Notifications** in the vertical menu
2. Disable notifications for Initial Confirmation, Reminders, Cancellation, and Rescheduling
3. Drag each Appointment Type down to the **Inactive Types** box, or click the gear icon and select **Inactive** in the dropdown
4. Click **Save Template**

**Create a message template in Welkin Designer:**

Go to **Communication block → Message Templates → +New** and configure:

* **Title** and optional Labels
* **Message Type** (e.g., Email)
* **Context Type**: set to **Encounter** for appointment-related messages (allows use of encounter variables)
* **Type**: HTML
* **Subject** and **Body**

Useful encounter variables include `{{ENCOUNTER..startDateTime}}`, `{{ENCOUNTER..endDateTime}}`, `{{ENCOUNTER.*.careTeamMember}}`, and `{{ENCOUNTER.*.location}}`.

**Create an automation in Designer:**

1. Go to **Automations → +New**
2. Set **Trigger Type** to **Event** and **Event** to **Encounter created**
3. Optionally specify a specific Encounter Template to trigger on
4. Under **Actions**, set **Action Type → Patient → Email Patient** (or SMS) and select your message template
5. Save and publish the Draft

## Send the scheduling link to the patient

1. In Acuity, go to **Scheduling Page Link** in the sidebar
2. Select **Direct Links & Embedding block → General Scheduling Page**
3. Choose the appointment type or calendar
4. Go to the **Direct Link** tab and copy the link

Send the copied link to the patient. When they open it, they can select a date and time and enter their information to book an appointment. Based on the patient data in the form, a matching patient record will be found in Welkin and linked to the created encounter. If appointment notification automations are configured, an email or SMS will be sent to the patient when the encounter is created.

***

More questions? Contact your Implementation or Customer Success Manager at <CSM@welkinhealth.com>.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welkinhealth.com/integrations/acuity/acuity-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
